<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Tue Jan 11 10:54:25 PST 2005 -->
<TITLE>
: Class  IdentitySpecifierImpl
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../../../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/IdentitySpecifierImpl.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/DependencyImpl.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SchemaImpl.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="IdentitySpecifierImpl.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;<A HREF="#inner_classes_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl">INNER</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.eclipse.wst.rdb.internal.models.sql.schema.impl</FONT>
<BR>
Class  IdentitySpecifierImpl</H2>
<PRE>
java.lang.Object
  |
  +--org.eclipse.emf.common.notify.impl.BasicNotifierImpl
        |
        +--org.eclipse.emf.ecore.impl.BasicEObjectImpl
              |
              +--org.eclipse.emf.ecore.impl.EObjectImpl
                    |
                    +--org.eclipse.emf.ecore.sdo.impl.EDataObjectImpl
                          |
                          +--<B>org.eclipse.wst.rdb.internal.models.sql.schema.impl.IdentitySpecifierImpl</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD>commonj.sdo.DataObject, org.eclipse.emf.ecore.sdo.EDataObject, org.eclipse.emf.ecore.EObject, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html">IdentitySpecifier</A>, org.eclipse.emf.ecore.sdo.InternalEDataObject, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.common.notify.Notifier, java.io.Serializable</DD>
</DL>
<HR>
<DL>
<DT>public class <B>IdentitySpecifierImpl</B><DT>extends org.eclipse.emf.ecore.sdo.impl.EDataObjectImpl<DT>implements <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html">IdentitySpecifier</A></DL>

<P>
<!-- begin-user-doc -->
 An implementation of the model object '<em><b>Identity Specifier</b></em>'.
 <!-- end-user-doc -->
 <p>
 The following features are implemented:
 <ul>
   <li><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/IdentitySpecifierImpl.html#getGenerationType()"><CODE><em>Generation Type</em></CODE></A></li>
   <li><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/IdentitySpecifierImpl.html#getStartValue()"><CODE><em>Start Value</em></CODE></A></li>
   <li><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/IdentitySpecifierImpl.html#getIncrement()"><CODE><em>Increment</em></CODE></A></li>
   <li><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/IdentitySpecifierImpl.html#getMinimum()"><CODE><em>Minimum</em></CODE></A></li>
   <li><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/IdentitySpecifierImpl.html#getMaximum()"><CODE><em>Maximum</em></CODE></A></li>
   <li><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/IdentitySpecifierImpl.html#isCycleOption()"><CODE><em>Cycle Option</em></CODE></A></li>
 </ul>
 </p>
<P>
<DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../serialized-form.html#org.eclipse.wst.rdb.internal.models.sql.schema.impl.IdentitySpecifierImpl">Serialized Form</A></DL>
<HR>

<P>
<!-- ======== INNER CLASS SUMMARY ======== -->

<A NAME="inner_classes_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Inner classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="inner_classes_inherited_from_class_org.eclipse.emf.ecore.InternalEObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Inner classes inherited from class org.eclipse.emf.ecore.InternalEObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>org.eclipse.emf.ecore.InternalEObject.EStore</CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="fields_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>ELAST_EOBJECT_FLAG</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.eclipse.emf.ecore.InternalEObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Fields inherited from interface org.eclipse.emf.ecore.InternalEObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>EOPPOSITE_FEATURE_BASE</CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->


<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/IdentitySpecifierImpl.html#eGet(org.eclipse.emf.ecore.EStructuralFeature, boolean)">eGet</A></B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature,
     boolean&nbsp;resolve)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/IdentitySpecifierImpl.html#eIsSet(org.eclipse.emf.ecore.EStructuralFeature)">eIsSet</A></B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/IdentitySpecifierImpl.html#eSet(org.eclipse.emf.ecore.EStructuralFeature, java.lang.Object)">eSet</A></B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature,
     java.lang.Object&nbsp;newValue)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/IdentitySpecifierImpl.html#eUnset(org.eclipse.emf.ecore.EStructuralFeature)">eUnset</A></B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/GenerateType.html">GenerateType</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/IdentitySpecifierImpl.html#getGenerationType()">getGenerationType</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/IdentitySpecifierImpl.html#getIncrement()">getIncrement</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/IdentitySpecifierImpl.html#getMaximum()">getMaximum</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/IdentitySpecifierImpl.html#getMinimum()">getMinimum</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/IdentitySpecifierImpl.html#getStartValue()">getStartValue</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/IdentitySpecifierImpl.html#isCycleOption()">isCycleOption</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/IdentitySpecifierImpl.html#setCycleOption(boolean)">setCycleOption</A></B>(boolean&nbsp;newCycleOption)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/IdentitySpecifierImpl.html#setGenerationType(org.eclipse.wst.rdb.internal.models.sql.schema.GenerateType)">setGenerationType</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/GenerateType.html">GenerateType</A>&nbsp;newGenerationType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/IdentitySpecifierImpl.html#setIncrement(int)">setIncrement</A></B>(int&nbsp;newIncrement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/IdentitySpecifierImpl.html#setMaximum(int)">setMaximum</A></B>(int&nbsp;newMaximum)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/IdentitySpecifierImpl.html#setMinimum(int)">setMinimum</A></B>(int&nbsp;newMinimum)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/IdentitySpecifierImpl.html#setStartValue(int)">setStartValue</A></B>(int&nbsp;newStartValue)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/IdentitySpecifierImpl.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.sdo.impl.EDataObjectImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.ecore.sdo.impl.EDataObjectImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, get, getBigDecimal, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBigInteger, getBoolean, getBoolean, getBoolean, getByte, getByte, getByte, getBytes, getBytes, getBytes, getChar, getChar, getChar, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDataObject, getDate, getDate, getDate, getDouble, getDouble, getDouble, getFloat, getFloat, getFloat, getInstanceProperties, getInt, getInt, getInt, getList, getList, getList, getLong, getLong, getLong, getSequence, getSequence, getSequence, getShort, getShort, getShort, getString, getString, getString, getType, isSet, isSet, isSet, set, set, set, setBigDecimal, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBigInteger, setBoolean, setBoolean, setBoolean, setByte, setByte, setByte, setBytes, setBytes, setBytes, setChar, setChar, setChar, setDataObject, setDataObject, setDataObject, setDate, setDate, setDate, setDouble, setDouble, setDouble, setFloat, setFloat, setFloat, setInt, setInt, setInt, setList, setList, setList, setLong, setLong, setLong, setShort, setShort, setShort, setString, setString, setString, unset, unset, unset, writeReplace</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAdapters, eClass, eContainerFeatureID, eDeliver, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.impl.BasicEObjectImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicSet, eDynamicUnset, eGet, eInternalResource, eInverseAdd, eInverseRemove, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSetResource, eSetStore, eSetting, eStore, eURIFragmentSegment</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eNotificationRequired, eNotify</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class java.lang.Object</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eIsProxy, eResource</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.common.notify.Notifier"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.common.notify.Notifier</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAdapters, eDeliver, eNotify, eSetDeliver</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.InternalEObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.InternalEObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainerFeatureID, eDerivedStructuralFeatureID, eInternalResource, eInverseAdd, eInverseRemove, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSetClass, eSetProxyURI, eSetResource, eSetStore, eSetting, eStore, eURIFragmentSegment</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->


<!-- ========= CONSTRUCTOR DETAIL ======== -->


<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="getGenerationType()"><!-- --></A><H3>
getGenerationType</H3>
<PRE>
public <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/GenerateType.html">GenerateType</A> <B>getGenerationType</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html#getGenerationType()">getGenerationType</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html">IdentitySpecifier</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.schema.IdentitySpecifier</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Generation Type</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/GenerateType.html"><CODE>GenerateType</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html#setGenerationType(org.eclipse.wst.rdb.internal.models.sql.schema.GenerateType)"><CODE>IdentitySpecifier.setGenerationType(GenerateType)</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLSchemaPackage.html#getIdentitySpecifier_GenerationType()"><CODE>SQLSchemaPackage.getIdentitySpecifier_GenerationType()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setGenerationType(org.eclipse.wst.rdb.internal.models.sql.schema.GenerateType)"><!-- --></A><H3>
setGenerationType</H3>
<PRE>
public void <B>setGenerationType</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/GenerateType.html">GenerateType</A>&nbsp;newGenerationType)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html#setGenerationType(org.eclipse.wst.rdb.internal.models.sql.schema.GenerateType)">setGenerationType</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html">IdentitySpecifier</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.schema.IdentitySpecifier</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Generation Type</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/GenerateType.html"><CODE>GenerateType</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html#getGenerationType()"><CODE>IdentitySpecifier.getGenerationType()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getStartValue()"><!-- --></A><H3>
getStartValue</H3>
<PRE>
public int <B>getStartValue</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html#getStartValue()">getStartValue</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html">IdentitySpecifier</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.schema.IdentitySpecifier</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Start Value</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html#setStartValue(int)"><CODE>IdentitySpecifier.setStartValue(int)</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLSchemaPackage.html#getIdentitySpecifier_StartValue()"><CODE>SQLSchemaPackage.getIdentitySpecifier_StartValue()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setStartValue(int)"><!-- --></A><H3>
setStartValue</H3>
<PRE>
public void <B>setStartValue</B>(int&nbsp;newStartValue)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html#setStartValue(int)">setStartValue</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html">IdentitySpecifier</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.schema.IdentitySpecifier</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Start Value</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html#getStartValue()"><CODE>IdentitySpecifier.getStartValue()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getIncrement()"><!-- --></A><H3>
getIncrement</H3>
<PRE>
public int <B>getIncrement</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html#getIncrement()">getIncrement</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html">IdentitySpecifier</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.schema.IdentitySpecifier</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Increment</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html#setIncrement(int)"><CODE>IdentitySpecifier.setIncrement(int)</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLSchemaPackage.html#getIdentitySpecifier_Increment()"><CODE>SQLSchemaPackage.getIdentitySpecifier_Increment()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setIncrement(int)"><!-- --></A><H3>
setIncrement</H3>
<PRE>
public void <B>setIncrement</B>(int&nbsp;newIncrement)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html#setIncrement(int)">setIncrement</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html">IdentitySpecifier</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.schema.IdentitySpecifier</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Increment</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html#getIncrement()"><CODE>IdentitySpecifier.getIncrement()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getMinimum()"><!-- --></A><H3>
getMinimum</H3>
<PRE>
public int <B>getMinimum</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html#getMinimum()">getMinimum</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html">IdentitySpecifier</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.schema.IdentitySpecifier</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Minimum</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html#setMinimum(int)"><CODE>IdentitySpecifier.setMinimum(int)</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLSchemaPackage.html#getIdentitySpecifier_Minimum()"><CODE>SQLSchemaPackage.getIdentitySpecifier_Minimum()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setMinimum(int)"><!-- --></A><H3>
setMinimum</H3>
<PRE>
public void <B>setMinimum</B>(int&nbsp;newMinimum)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html#setMinimum(int)">setMinimum</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html">IdentitySpecifier</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.schema.IdentitySpecifier</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Minimum</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html#getMinimum()"><CODE>IdentitySpecifier.getMinimum()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getMaximum()"><!-- --></A><H3>
getMaximum</H3>
<PRE>
public int <B>getMaximum</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html#getMaximum()">getMaximum</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html">IdentitySpecifier</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.schema.IdentitySpecifier</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Maximum</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html#setMaximum(int)"><CODE>IdentitySpecifier.setMaximum(int)</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLSchemaPackage.html#getIdentitySpecifier_Maximum()"><CODE>SQLSchemaPackage.getIdentitySpecifier_Maximum()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setMaximum(int)"><!-- --></A><H3>
setMaximum</H3>
<PRE>
public void <B>setMaximum</B>(int&nbsp;newMaximum)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html#setMaximum(int)">setMaximum</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html">IdentitySpecifier</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.schema.IdentitySpecifier</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Maximum</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html#getMaximum()"><CODE>IdentitySpecifier.getMaximum()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isCycleOption()"><!-- --></A><H3>
isCycleOption</H3>
<PRE>
public boolean <B>isCycleOption</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html#isCycleOption()">isCycleOption</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html">IdentitySpecifier</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.schema.IdentitySpecifier</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Cycle Option</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html#setCycleOption(boolean)"><CODE>IdentitySpecifier.setCycleOption(boolean)</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLSchemaPackage.html#getIdentitySpecifier_CycleOption()"><CODE>SQLSchemaPackage.getIdentitySpecifier_CycleOption()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setCycleOption(boolean)"><!-- --></A><H3>
setCycleOption</H3>
<PRE>
public void <B>setCycleOption</B>(boolean&nbsp;newCycleOption)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html#setCycleOption(boolean)">setCycleOption</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html">IdentitySpecifier</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.schema.IdentitySpecifier</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Cycle Option</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html#isCycleOption()"><CODE>IdentitySpecifier.isCycleOption()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="eGet(org.eclipse.emf.ecore.EStructuralFeature, boolean)"><!-- --></A><H3>
eGet</H3>
<PRE>
public java.lang.Object <B>eGet</B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature,
                             boolean&nbsp;resolve)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE>eGet</CODE> in interface <CODE>org.eclipse.emf.ecore.EObject</CODE><DT><B>Overrides:</B><DD><CODE>eGet</CODE> in class <CODE>org.eclipse.emf.ecore.impl.BasicEObjectImpl</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="eSet(org.eclipse.emf.ecore.EStructuralFeature, java.lang.Object)"><!-- --></A><H3>
eSet</H3>
<PRE>
public void <B>eSet</B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature,
                 java.lang.Object&nbsp;newValue)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE>eSet</CODE> in interface <CODE>org.eclipse.emf.ecore.EObject</CODE><DT><B>Overrides:</B><DD><CODE>eSet</CODE> in class <CODE>org.eclipse.emf.ecore.impl.BasicEObjectImpl</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="eUnset(org.eclipse.emf.ecore.EStructuralFeature)"><!-- --></A><H3>
eUnset</H3>
<PRE>
public void <B>eUnset</B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE>eUnset</CODE> in interface <CODE>org.eclipse.emf.ecore.EObject</CODE><DT><B>Overrides:</B><DD><CODE>eUnset</CODE> in class <CODE>org.eclipse.emf.ecore.impl.BasicEObjectImpl</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="eIsSet(org.eclipse.emf.ecore.EStructuralFeature)"><!-- --></A><H3>
eIsSet</H3>
<PRE>
public boolean <B>eIsSet</B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE>eIsSet</CODE> in interface <CODE>org.eclipse.emf.ecore.EObject</CODE><DT><B>Overrides:</B><DD><CODE>eIsSet</CODE> in class <CODE>org.eclipse.emf.ecore.impl.BasicEObjectImpl</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public java.lang.String <B>toString</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Overrides:</B><DD><CODE>toString</CODE> in class <CODE>org.eclipse.emf.ecore.impl.BasicEObjectImpl</CODE></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/IdentitySpecifierImpl.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/DependencyImpl.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SchemaImpl.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="IdentitySpecifierImpl.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;<A HREF="#inner_classes_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl">INNER</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
